package com.bcxin.ars.model.sb;

import java.util.Date;

import com.abcxin.smart.validator.annotation.ModelAnnotation;
import com.bcxin.ars.model.BaseModel;

public class VehicleLog extends BaseModel{

    /**  */
	private static final long serialVersionUID = 1L;

    @ModelAnnotation(getName="用户ID",column = "userid")
	private Long userid;

	/**
	 * 类型 1 派出 2 归还
	 */
    @ModelAnnotation(getName="类型",column = "type")
    private String type;

    /**
     * 领用人
     */
    @ModelAnnotation(getName="领用人",column = "name")
    private String name;

    /**
     * 时间
     */
    @ModelAnnotation(getName="时间",column = "time")
    private Date time;

    /**
     * 车辆id
     */
    @ModelAnnotation(getName="车辆id",column = "vehicleid")
    private Long vehicleid;

    /**
     * 操作人员
     */
    @ModelAnnotation(getName="操作人员",column = "operator")
    private String operator;
    
    /**
     * 备注
     */
    @ModelAnnotation(getName="备注",column = "remarks")
    private String remarks;


    public Long getUserid() {
        return userid;
    }

    public void setUserid(Long userid) {
        this.userid = userid;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type == null ? null : type.trim();
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name == null ? null : name.trim();
    }

    public Date getTime() {
        return time;
    }

    public void setTime(Date time) {
        this.time = time;
    }

    public Long getVehicleid() {
        return vehicleid;
    }

    public void setVehicleid(Long vehicleid) {
        this.vehicleid = vehicleid;
    }

	public String getOperator() {
		return operator;
	}

	public void setOperator(String operator) {
		this.operator = operator;
	}

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks == null ? null : remarks.trim();
    }
}